Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163607

Summary: ia64: awk errors seen during network interface activation
Product: [Fedora] Fedora Reporter: Prarit Bhargava <prarit>
Component: kernelAssignee: Prarit Bhargava <prarit>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: prarit, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: ia64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-23 18:03:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 163350    

Description Prarit Bhargava 2005-07-19 14:16:43 UTC
Description of problem:

During ia64 system boot, errors are seen when network interfaces are brought
online.

Version-Release number of selected component (if applicable):

initscripts-8.11.1-1

How reproducible: 100%


Steps to Reproduce:
1. Install latest Fedora ia64 devel
2. Boot.
  
Actual results:

During network interface activation:

Bringing up interface eth0:  
Determining IP information for eth0...awk: error while loading shared libraries:
cannot restore segment prot after reloc: Permission denied
awk: error while loading shared libraries: cannot restore segment prot after
reloc: Permission denied
awk: error while loading shared libraries: cannot restore segment prot after
reloc: Permission denied
awk: error while loading shared libraries: cannot restore segment prot after
reloc: Permission denied
 done.
[  OK  ]

Expected results:

No errors should be seen.

Additional info:

Running rawhide-20050719.

Comment 1 Bill Nottingham 2005-07-19 17:58:08 UTC
This is some wacky kernel bug, if I read rhkernel-list right.

Comment 2 Dave Jones 2005-10-06 07:08:33 UTC
still occuring ?

Comment 3 Prarit Bhargava 2005-10-06 12:41:42 UTC
I haven't tried rawhide in a while -- the packaging rewrite in anaconda was 
in serious flux.  I'll put this on my list of things to do for next week and 
get back to you... 
 
P. 

Comment 4 Prarit Bhargava 2006-02-23 18:03:51 UTC
This is fixed.